Bug 9758 - The endpoint mapper registration loop leaks policy handles
The endpoint mapper registration loop leaks policy handles
Product: Samba 4.0
Classification: Unclassified
Component: Other
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2013-04-02 11:15 UTC by Andreas Schneider
Modified: 2013-04-08 07:40 UTC (History)
1 user (show)

See Also:

v4-0-test patch (1.90 KB, patch)
2013-04-02 16:16 UTC, Andreas Schneider
ab: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2013-04-02 11:15:59 UTC
The endpoint mapper registration loop leaks policy handles. The following patch fixes the problem.
Comment 1 Andreas Schneider 2013-04-02 16:16:17 UTC
Created attachment 8709 [details]
v4-0-test patch
Comment 2 Alexander Bokovoy 2013-04-02 16:31:56 UTC
Comment on attachment 8709 [details]
v4-0-test patch

I have tested this patch over weekend with the following Fedora 18 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5184105 (should live until mid-April) and FreeIPA git master and it fixed file descriptors' leak in end-point mapper for me.
Comment 3 Andreas Schneider 2013-04-02 16:46:16 UTC
Karolin, please add the patch to v4-0-test.
Comment 4 Karolin Seeger 2013-04-07 19:54:55 UTC
Pushed to autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-04-08 07:40:02 UTC
Pushed to v4-0-test.
Closing out bug report.